Loading...
Searching...
No Matches
websocketpp::transport::buffer Struct Reference

A simple utility buffer class. More...

`#include <connection.hpp>`

## Public Member Functions

| buffer (char const *b, size_t l)

## Public Attributes

char const * | buf
size_t | len

## Detailed Description

A simple utility buffer class.

Definition at line 138 of file connection.hpp.

## Constructor & Destructor Documentation

## buffer()

websocketpp::transport::buffer::buffer | ( | char const * | b,
|  | size_t | l )

inline

Definition at line 139 of file connection.hpp.

## Member Data Documentation

## buf

char const* websocketpp::transport::buffer::buf

Definition at line 141 of file connection.hpp.

## len

size_t websocketpp::transport::buffer::len

Definition at line 142 of file connection.hpp.

The documentation for this struct was generated from the following file:

- websocketpp/transport/base/connection.hpp